#ifndef MOUNT_H
#define MOUNT_H

/*
*file mount.h
*class Mount
*
*created on 25/01/2006
*Copyright Piquier Production
*
*/
#include "Entity.h"

#include "MemoryManager/debugNew.h"
class Mount : 
	public Entity
{
      
//attributes
      
private : 

	/**
	*Current state of the mount
	*/  
	bool free;

public : 
         
	/**
	* The mount created is free
	*/         
	Mount();             

	/**
	* the mount created had no position
	*/
	Mount(bool mount);

	/**
	*
	*/
	Mount(Point2D pos, bool mount=true);

	virtual ~Mount();
            
	/**
	*Change the current state of the mount (to be free or not to be)
	*/            
	void changeState();       //if this->free=true then this->free=false
                                        //else this->free=true

	/**
	*return if the mount is free or not
	*/
	bool isFree();

	bool haveLife();


};

#include "MemoryManager/debugNewOff.h"


#endif
